use ExtUtils::MakeMaker;
use 5.008;

# Required modules
my %reqMods = (
    'Paranoid'      => 2.0,
    );

# Create the makefile
WriteMakefile(
    NAME     => 'yapw',
    ABSTRACT => 'Yet Another Password Generator',
    AUTHOR   => 'Arthur Corliss <corliss@digitalmages.com>',
    VERSION_FROM => 'bin/yapw',
    PREREQ_PM    => {%reqMods}, (
        $ExtUtils::MakeMaker::VERSION ge '6.30_00'
        ? ( LICENSE  => 'perl',
            META_ADD => {
                'requires'   => {%reqMods} } )
        : ()
        ), (
        $ExtUtils::MakeMaker::VERSION ge '6.48'
        ? ( MIN_PERL_VERSION => 5.008 )
        : ()
        ),
    dist => {
        COMPRESS  => 'gzip',
        SUFFIX    => '.gz',
        CI        => 'cvs ci',
        RCS_LABEL => 'cvs tag -c -F $(NAME_SYM)-$(VERSION_SYM)',
        },
    EXE_FILES => [ qw(bin/yapw)  ],
        );

exit 0;
